﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <asp:PlaceHolder runat="server">
        <script src="http://code.jquery.com/jquery-1.6.min.js" type="text/javascript"></script>
        <script src="Scripts/jquery.textchange.js" type="text/javascript"></script>
        <script type="text/javascript">
        
            function BeforeCellEdit(e, args) {
                var cell = args.cell;
                var grid = $("#<%=C1GridView1.ClientID %>");

                cell.container().keyup(function (event) {
                    var count = 0;
                    var key = event.which;
                    if (key >= 65 && key <= 90) {
                        count = 1;
                    }
                    else if (key >= 48 && key <= 57) {
                        count = 1;
                    }

                    if (count == 1) {
                        $(grid).c1gridview("endEdit");
                        var row = cell.rowIndex();
                        var col = cell.cellIndex();
                        $(grid).c1gridview("currentCell", col + 1, row);
                    }

                });
            }
                   

        </script>
    </asp:PlaceHolder>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    </div>
    <wijmo:C1GridView ID="C1GridView1" runat="server" AutogenerateColumns="False" AllowPaging="true"
        ClientEditingUpdateMode="Manual" ClientSelectionMode="SingleCell" AllowClientEditing="true"
        DataKeyNames="CustomerID" DataSourceID="AccessDataSource1" ShowFooter="False"
        OnClientBeforeCellEdit="BeforeCellEdit" HighlightCurrentCell="True">
        <Columns>
            <wijmo:C1BoundField DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True"
                SortExpression="CustomerID">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="Address" HeaderText="Address" SortExpression="Address">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="City" HeaderText="City" SortExpression="City">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="Region" HeaderText="Region" SortExpression="Region">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="PostalCode" HeaderText="PostalCode" SortExpression="PostalCode">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="Country" HeaderText="Country" SortExpression="Country">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="Fax" HeaderText="Fax" SortExpression="Fax">
            </wijmo:C1BoundField>
        </Columns>
    </wijmo:C1GridView>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" ConflictDetection="CompareAllValues"
        DataFile="~/App_Data/C1NWind.mdb" DeleteCommand="DELETE FROM [Customers] WHERE (([CustomerID] = ?) OR ([CustomerID] IS NULL AND ? IS NULL)) AND [CompanyName] = ? AND (([ContactName] = ?) OR ([ContactName] IS NULL AND ? IS NULL)) AND (([ContactTitle] = ?) OR ([ContactTitle] IS NULL AND ? IS NULL)) AND (([Address] = ?) OR ([Address] IS NULL AND ? IS NULL)) AND (([City] = ?) OR ([City] IS NULL AND ? IS NULL)) AND (([Region] = ?) OR ([Region] IS NULL AND ? IS NULL)) AND (([PostalCode] = ?) OR ([PostalCode] IS NULL AND ? IS NULL)) AND (([Country] = ?) OR ([Country] IS NULL AND ? IS NULL)) AND (([Phone] = ?) OR ([Phone] IS NULL AND ? IS NULL)) AND (([Fax] = ?) OR ([Fax] IS NULL AND ? IS NULL))"
        InsertCommand="INSERT INTO [Customers] ([CustomerID], [CompanyName], [ContactName], [ContactTitle], [Address], [City], [Region], [PostalCode], [Country], [Phone], [Fax]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
        OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT * FROM [Customers]"
        UpdateCommand="UPDATE [Customers] SET [CompanyName] = ?, [ContactName] = ?, [ContactTitle] = ?, [Address] = ?, [City] = ?, [Region] = ?, [PostalCode] = ?, [Country] = ?, [Phone] = ?, [Fax] = ? WHERE (([CustomerID] = ?) OR ([CustomerID] IS NULL AND ? IS NULL)) AND [CompanyName] = ? AND (([ContactName] = ?) OR ([ContactName] IS NULL AND ? IS NULL)) AND (([ContactTitle] = ?) OR ([ContactTitle] IS NULL AND ? IS NULL)) AND (([Address] = ?) OR ([Address] IS NULL AND ? IS NULL)) AND (([City] = ?) OR ([City] IS NULL AND ? IS NULL)) AND (([Region] = ?) OR ([Region] IS NULL AND ? IS NULL)) AND (([PostalCode] = ?) OR ([PostalCode] IS NULL AND ? IS NULL)) AND (([Country] = ?) OR ([Country] IS NULL AND ? IS NULL)) AND (([Phone] = ?) OR ([Phone] IS NULL AND ? IS NULL)) AND (([Fax] = ?) OR ([Fax] IS NULL AND ? IS NULL))">
        <DeleteParameters>
            <asp:Parameter Name="original_CustomerID" Type="String" />
            <asp:Parameter Name="original_CompanyName" Type="String" />
            <asp:Parameter Name="original_ContactName" Type="String" />
            <asp:Parameter Name="original_ContactName" Type="String" />
            <asp:Parameter Name="original_ContactTitle" Type="String" />
            <asp:Parameter Name="original_ContactTitle" Type="String" />
            <asp:Parameter Name="original_Address" Type="String" />
            <asp:Parameter Name="original_Address" Type="String" />
            <asp:Parameter Name="original_City" Type="String" />
            <asp:Parameter Name="original_City" Type="String" />
            <asp:Parameter Name="original_Region" Type="String" />
            <asp:Parameter Name="original_Region" Type="String" />
            <asp:Parameter Name="original_PostalCode" Type="String" />
            <asp:Parameter Name="original_PostalCode" Type="String" />
            <asp:Parameter Name="original_Country" Type="String" />
            <asp:Parameter Name="original_Country" Type="String" />
            <asp:Parameter Name="original_Phone" Type="String" />
            <asp:Parameter Name="original_Phone" Type="String" />
            <asp:Parameter Name="original_Fax" Type="String" />
            <asp:Parameter Name="original_Fax" Type="String" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Region" Type="String" />
            <asp:Parameter Name="PostalCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Region" Type="String" />
            <asp:Parameter Name="PostalCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="original_CustomerID" Type="String" />
            <asp:Parameter Name="original_CompanyName" Type="String" />
            <asp:Parameter Name="original_ContactName" Type="String" />
            <asp:Parameter Name="original_ContactName" Type="String" />
            <asp:Parameter Name="original_ContactTitle" Type="String" />
            <asp:Parameter Name="original_ContactTitle" Type="String" />
            <asp:Parameter Name="original_Address" Type="String" />
            <asp:Parameter Name="original_Address" Type="String" />
            <asp:Parameter Name="original_City" Type="String" />
            <asp:Parameter Name="original_City" Type="String" />
            <asp:Parameter Name="original_Region" Type="String" />
            <asp:Parameter Name="original_Region" Type="String" />
            <asp:Parameter Name="original_PostalCode" Type="String" />
            <asp:Parameter Name="original_PostalCode" Type="String" />
            <asp:Parameter Name="original_Country" Type="String" />
            <asp:Parameter Name="original_Country" Type="String" />
            <asp:Parameter Name="original_Phone" Type="String" />
            <asp:Parameter Name="original_Phone" Type="String" />
            <asp:Parameter Name="original_Fax" Type="String" />
            <asp:Parameter Name="original_Fax" Type="String" />
        </UpdateParameters>
    </asp:AccessDataSource>
    </form>
</body>
</html>
